---
title: Common
slug: scaleserp/search-api/searches/common
docTags: 
createdAt: 2024-08-03T18:00:34.679Z
---

# Common Parameters

<font color="#52c41a">`GET`</font>  `/search`

The following parameters are used to configure your Search API request. They should be appended as querystring parameters to the Search API `GET` HTTP request.

An example request is below:

:::CodeblockTabs
HTTP

```HTTP
https://api.scaleserp.com/search?api_key=demo&q=pizza&location=United+States
```

```curl
$ curl --get https://api.scaleserp.com/search \
          -d api_key="demo" \
          -d q="pizza" \
          -d location="United States"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  q: "pizza",
  location: "United States"
}

// make the http GET request to Scale SERP
axios.get('https://api.scaleserp.com/search', { params })
  .then(response => {

    // print the JSON response from Scale SERP
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'q': 'pizza',
  'location': 'United States'
}

# make the http GET request to Scale SERP
api_result = requests.get('https://api.scaleserp.com/search', params)

# print the JSON response from Scale SERP
print(json.dumps(api_result.json()))
```

```php
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'q' => 'pizza',
  'location' => 'United States'
]);

# make the http GET request to Scale SERP
$ch = curl_init(sprintf('%s?%s', 'https://api.scaleserp.com/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from Scale SERP
echo $api_result;
```
:::

| *`Parameter`*          | *`Required`*        | *`Description`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| ---------------------- | ------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`api_key`*            | <u>*`required`*</u> | The API key for your Scale SERP account.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| *`search_type`*        | *`optional`*        | The type of request to make. The value of the `type` parameter determines which additional parameters are available. For example, if you make a request with `search_type= news `then additional [Google News Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/news), specific to `news` requests, are available.  <br />Valid values for `search_type` are:<br />1. `(not set)`<br />2. If the `search_type` parameter is omitted then a regular web search is performed. See additional [Google Search Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/search).<br /><br />1. `news`<br />2. Perform a Google News request. See additional See additional [Google News Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/news).<br /><br />1. `images`<br />2. Perform a Google Images request. See additional See additional [Google Images Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/images).<br /><br />1. `videos`<br />2. Perform a Google Videos request. See additional See additional [Google Videos Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/images).<br /><br />1. `scholar`<br />2. Perform a Google Scholar request. See additional See additional [Google Scholar Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/scholar).<br /><br />1. `autocomplete`<br />2. Perform a Google Autocomplete request. See additional See additional [Google Autocomplete Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/autocomplete).<br /><br />1. `places`<br />2. Perform a Google Places request. See additional See additional [Google Places Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/places).<br /><br />1. `place_details`<br />2. Perform a Google Place Details request to get further information on a given Place. See additional See additional [Google Place Details Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/place-details).<br /><br />1. `place_photos`<br />2. Perform a Google Place Photos request to get Place Photos for a given Place. See additional See additional [Google Place Photos Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/place-photos).<br /><br />1. `place_reviews`<br />2. Perform a Google Place Reviews request to get Place Reviews for a given Place. See additional See additional [Google Place Reviews Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/place-reviews).<br /><br />1. `place_products`<br />2. Perform a Google Place Products request to get Place Products for a given Place. See additional See additional [Google Place Products Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/place-products).<br /><br />1. `place_posts`<br />2. Perform a Google Place Posts request to get Place Posts for a given Place. See additional See additional [Google Place Posts Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/place-posts).<br /><br />1. `shopping`<br />2. Perform a Google Shopping search results. See additional See additional [Google Shopping Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/shopping).<br /><br />1. `product`<br />2. Perform a Google Product results for a single product. See additional See additional [Google Product Parameters ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/product).  &#xD;<br />&#xD;<br />**Note** that when making a `search_type=product` request the `product_type` parameter determines the type of Product request, available values for `product_type` are:<br />- <br />1. `reviews`<br />2. Retrieve reviews for a given Product. See additional See additional [Google Product Reviews Parameters](https://docs.trajectdata.com/scaleserp/search-api/searches/google/product-reviews)<br />- <br />1. `online_sellers`<br />2. Retrieve sellers for a given Product. See additional See additional [Google Product Online Sellers Parameters](https://docs.trajectdata.com/scaleserp/search-api/searches/google/product-online-sellers)<br />- <br />1. `specifications`<br />2. Retrieve data from the specifications page for a given Product. See additional See additional [Google Product Specifications Parameters](https://docs.trajectdata.com/scaleserp/search-api/searches/google/product-specifications) |
| *`url`*                | *`optional`*        | Specifies the URL to open (instead of specifying a query using the `q` parameter).  <br />**Note** To specify the type of parsing applied to the results from the `url` parameter, use the `search_type` parameter.  <br />**Note** The `url` parameter must be URL-encoded. The `url` parameter is not available for all `search_type` values.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| *`device`*             | *`optional`*        | Determines the device to use to get results.  <br />Can be set to `desktop` (default) to use a regular desktop web browser, `tablet` to use a tablet browser (use the `tablet_type` to choose the type of tablet device), or `mobile` to use a mobile browser (use the `mobile_type` to choose the type of mobile device).  <br />**Note** that not all `search_type` values are parsed for each device (for example, some results are parsed in `desktop` only), see the individual results for more information.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| *`mobile_type`*        | *`optional`*        | Applies when `device=mobile` and determines the type of mobile device used to get results.  <br />Can be set to `iphone` for an iPhone mobile device, or `android` for an Android mobile device.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| *`tablet_type`*        | *`optional`*        | Applies when `device=tablet` and determines the type of tablet device used to get results.  <br />Can be set to `ipad` for an iPad device, or `android` for an Android tablet device.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| *`output`*             | *`optional`*        | Determines the format in which results are returned. Can be set to `json` (default) to get the results as structured JSON, `html` to get the raw html retrieved or `csv` to return the results in CSV format. When using `csv` you can also use the `csv_fields` parameter to specify which fields to return in the CSV.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| *`csv_fields`*         | *`optional`*        | Determines the fields that are returned when returning in `csv` mode (i.e. when the `output` parameter is set to `csv` ). Should be specified as a comma seperated list of fields (in nested field, dot notation, format). For more information on the `csv_fields` parameter please see the [CSV Fields Reference ](https://docs.trajectdata.com/scaleserp/search-api/reference/csv-fields).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| *`include_html`*       | *`optional`*        | Determines whether raw HTML is included in the response (this can increase the size of the response). Can be set to `true` or `false` (the default).  <br />**Note** When adding searches with `include_html=true` to a Batch the maximum number of searches is lower (100) because including the HTML within the response makes the Batch Result Sets much larger. The limit is in place to ensure Result Set files are of a manageable size. If you have need to run a large number of searches all with `include_html=true` then simply split the searches across multiple 100-search Batches.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| *`skip_on_incident`*   | *`optional`*        | Instructs the API to not serve requests when a parsing incident is detected. Valid values are `all` (where the API will not serve a response if a "degraded" or "major" parsing incident is live) and `major_only` (where the API will not serve a response is a "major" parsing incident is live, but will if a "degraded service" parsing incident is live).  <br />You can view service status via the [status page ](https://scaleserp.statuspage.io/).  <br />Using `skip_on_incident` can be desirable if your system is making unsupervised requests to the API that you would like to gracefully fail in the event of an incident.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| *`hide_base64_images`* | *`optional`*        | Instructs the API to not include Base64 images in the response. Base64-encoded images from SERP pages can increase the size of the response considerably so sometimes it's desirable to have them excluded from the API response. <br />**Note that this parameter is set to `hide_base64_images=true` by default when using Batches (to minimise the size of the Batch Result Sets).**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| *`cookie`*             | *`optional`*        | The cookie string to send along with the request. Should be URL-encoded. Use this parameter to send custom cookies along with the request made. It will be sent in the `cookie` HTTP Header made by the platform.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| *`include_fields`*     | *`optional`*        | A comma-seperated list JSON field names to include in the JSON object the API returns. You can specify the field names in dot notation - i.e. `include_fields=pagination` will only include the the `pagination` property in the response JSON. Use `include_fields` if you only want to include specific fields in the API's JSON response.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| *`exclude_fields`*     | *`optional`*        | A comma-seperated list of JSON field names to **exclude** from the JSON object the API returns. You can specify the field names in dot notation - i.e. `exclude_fields=pagination` will remove the `pagination` property from the response JSON. Use `exclude_fields` if there are specific fields you wish to exclude from the API's JSON response.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |

***

**Next Steps**
     [Google Search Parameters](https://docs.trajectdata.com/scaleserp/search-api/searches/google/search)
